Results 1 to 8 of 8

Thread: HOW TO INSTALL AR5007EG(ATHEROS) TO OPENSUSE ?

  1. #1
    poufer NNTP User

    Default HOW TO INSTALL AR5007EG(ATHEROS) TO OPENSUSE ?

    Good day all you guys i have a real problem installing mine wireless card which is on board on my laptop on 11.0 suse! As i refaird before my wireless is ATHEROS AR5007EG.Please every on who knows about this issue help me!
    Thank's at all!!

  2. #2
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,517
    Blog Entries
    37

    Default Re: HOW TO INSTALL AR5007EG(ATHEROS) TO OPENSUSE ?

    Quote Originally Posted by poufer View Post
    i have a real problem installing mine wireless card which is on board on my laptop on 11.0 suse! As i refaird before my wireless is ATHEROS AR5007EG.
    From what I've seen monitoring the IRC #suse channel, the Atheros AR5007EG is one of the more difficult atheros chipset implementations to get working.

    IMHO, you have two choices to get this working,... one is to install madwifi (or a custom compiled version of madwifi to overcome some bugs), or you can try the NDIS wrapper approach.

    Reference the madwifi approach, assuming no bugs in the madwifi, the openSUSE wiki has this to say:
    Atheros madwifi - openSUSE
    for the 11.0RC1 factory, one would need go here for the madwifi-kmp-your-kernel-version (ie either madwifi-kmp-default-0.9.4_2.6.25_26-1.i586.rpm or madwifi-kmp-pae-0.9.4_2.6.25_26-1.i586.rpm or a different madwifi dependant on whatever kernel you have (ie default, pae, xen ... etc..)) ... (madwifi page here):
    madiwi page for openSUSE-11.0

    Then follow the instructions in that opensuse madwifi page.

    There are experiences of other openSUSE users with the AR5007EG noted here:
    HCL/Network Adapters (Wireless) - openSUSE

    Also, there is a bug in the madwifi for the AR5007, and if you look at the madwifi compatibility page under the AR5007, you will get an indication of what I am referring to:
    Compatibility/Atheros - madwifi.org - Trac

    ... or more specifically ... for some cases your AR5007EG may be falsely identified as an AR5006EG. A bug report on the madwifi for the AR5007EG notes it may be falsely identified as an AR5006EG (reference 11/17/07 22:59:11 comment in #1192 (Hardware Support: AR5007EG) - madwifi.org - Trac). Work around ticket for AR5007EG is here: #1679 (Patch for AR2425 (AR5007EG) chipset) - madwifi.org - Trac (fix is for 32-bit only - there is no 64-bit support yet).
    .

  3. #3
    Join Date
    Jun 2008
    Location
    Europe
    Posts
    21

    Default Re: HOW TO INSTALL AR5007EG(ATHEROS) TO OPENSUSE ?

    I had problems with my Atheros card too, and I had to compile Madwifi because at the time there was no binary for Beta 3.

    What really makes me wonder is why is OpenSuSE 11 using ath5k driver as default for Atheros, instead of madwifi? Ath5k is, afaik, still under heavy development. I mean, as far as my card is concerned (AR2413), ath5k doesn't work with it, madwifi does.
    Well I'll shoot her with my raygun when she comes, yes I'll shoot her with my raygun when she comes, yes I'll shoot her with my raygun, oh I'll shoot her with my raygun, yes I'll shoot her with my raygun when she comes, when she comes!

  4. #4
    Join Date
    Jun 2008
    Location
    Praha, Czech Republic
    Posts
    45

    Default Re: HOW TO INSTALL AR5007EG(ATHEROS) TO OPENSUSE ?

    Madwifi cannot be distributed legally. So it cannot be standard in Opensuse.

  5. #5
    Join Date
    Jun 2008
    Location
    Orlando
    Posts
    16

    Default Re: HOW TO INSTALL AR5007EG(ATHEROS) TO OPENSUSE ?

    Quote Originally Posted by FuryWS View Post
    I had problems with my Atheros card too, and I had to compile Madwifi because at the time there was no binary for Beta 3.

    What really makes me wonder is why is OpenSuSE 11 using ath5k driver as default for Atheros, instead of madwifi? Ath5k is, afaik, still under heavy development. I mean, as far as my card is concerned (AR2413), ath5k doesn't work with it, madwifi does.
    This could be a pain in the neck... Hmmm, Fedora uses Ath5k I guess openSUSE didn't want to be left out...

    ...the only distro that works out of the box w/ that card is new Mandriva 2008.1, basically because they have a port designed to work w/ Asus eeeeeeePC which shares same mini-PCIe WiFi card...

    Registered Linux User #419773

  6. #6
    Join Date
    Jun 2008
    Location
    Germany [Starlsund]
    Posts
    10

    Default Re: HOW TO INSTALL AR5007EG(ATHEROS) TO OPENSUSE ?

    Hi ,

    I'm create new packages for openSUSE with new HAL Version [v0.10.5.6] see :

    Index of /repositories/home:/schmolle1980

    package Name madwifi-r3698+AR5007EG

    works on 64Bit loud :

    #1679 (Patch for AR2425 (AR5007EG) chipset) - madwifi.org - Trac

    works ?

    Thanks
    HP Pavilion dv2899eg MTV-Edition openSuse 10.3 KDE 3.5.9 Kernel-2.6.25.6-1-default.x86_64

  7. #7
    foxbunny NNTP User

    Default Re: HOW TO INSTALL AR5007EG(ATHEROS) TO OPENSUSE ?

    Your driver doesn't work for me. I'm on x86_64, running the default 2.6.25.1.1 kernel.

    I first tried to add your repo, and then install the only madwifi kernel module package available (trunk+something), and this resulted in an unbootable system. When I blacklisted the ath_pci, it boots fine, but a modprobe freezes up the system.

    Then I tried to download the ar5007 version (the package you mentioned in your post), and that too had the same results.

    It seems that modprobe doesn't even have time to say anything useful. It just freezes.

    As an aside, why does "madwifi-r3698+AR5007EG" RPM not appear in the packages list in Yast?

  8. #8

    Default Re: HOW TO INSTALL AR5007EG(ATHEROS) TO OPENSUSE ?

    Ath5k does function on a AG5007 series, marginaly at least, if you get the latest source and build it yourself. I've had some problems with encryption though.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •